
Redmine - Defect #9530

Preview link

2011-11-05 22:09 - Hynek Uhlíř

Status: Closed Start date: 2011-11-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.1

Description

During Issue/wiki_page creation/modification the preview link should display draft of the Issue/wiki_page before submition.

The link stops to work after some time.

the reason is unknown, but then only simple posts (plain text - no links or text formatting) can be previewed

(maybe links to other sites/wiki_pages/files have something to do with this)

also after the submition the browser shows just blank page instead of the modified Issue/wiki

page needs to be refreshed or browsed into it again - after that the Issue/wiki_page is shown correctly

to fix this, we always need to restart the server

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /opt/redmine-1.2.1

Environment               production

Database adapter          mysql

Database schema version   20110511000000

The log contains no errors

History

#1 - 2011-11-06 22:15 - Etienne Massip

Plugins?

#2 - 2011-11-06 22:42 - Hynek Uhlíř

Etienne Massip wrote:

Plugins?

 None.

#3 - 2011-11-07 09:35 - Etienne Massip

How are RM pages served? Apache + Passenger? Is there some additional performance/cache Apache module installed such as Google's

mod_pagespeed?

#4 - 2011-11-07 19:58 - Hynek Uhlíř

No, it's fresh install according to a manual RedmineInstall - RM pages are served by Mongrel - however, Webrick is doing the same problem.

#5 - 2011-11-08 20:12 - Etienne Massip

I think mongrel has its own logs, could you please check them?
#6 - 2011-11-28 11:59 - Hynek Uhlíř

- Status changed from New to Resolved

Well, it seems the problem occurs only when we run our server in non-daemon way. I still do not know the reason why (logs looks pretty normal), but

we've tried both mongrel and webrick and in both cases the problem disappeared when we run it as daemon.

Because the non-daemon run was used only for test purposes and the server is running primarly as daemon, I'm changing the status of this issue to

resolved.

Thanks everyone for help!

#7 - 2011-11-28 13:50 - Etienne Massip

- Status changed from Resolved to Closed

Thank you for your feedback.
